Skip to main content
GET
Read user details

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

userId
string
required

Response

OK

User profile details returned by user management endpoints.

id
string
required

User identifier

Example:

"b5d00e95-b998-4a33-9210-84777f4cb4f9"

hasDebt
boolean
required

true if any of the sessions payments failed. (Relevant only if clearing is done by Plugsurfing)

Example:

false

email
string

User email address.

Example:

"john.smith@plugsurfing.com"

vatNumber
string

VAT number associated with the user.

billingAddress
object

Billing address associated with the user.

userGroups
object[]

User groups the user currently belongs to.